{ config, ... }:
{
  services.restic.backups = {
    "postgres" = {
      paths = [ "/var/lib/postgresql/backup" ];
      repository = "sftp:restic@despondos.nao.sh:/etheria/backup/grondahl/postgres";
      initialize = true;
      pruneOpts = [ "--keep-daily 7" "--keep-weekly 5" "--keep-monthly 12" "--keep-yearly 75" ];
      timerConfig = { "OnCalendar" = "03:15"; };
      extraOptions = [ "sftp.command='ssh restic@despondos.nao.sh -i ${config.secrets.files.ssh_key.file} -s sftp'" ];
      passwordFile = builtins.toString config.secrets.files.restic_pass.file;
      user = "postgres";
    };
    "synapse" = {
      paths = [ "/var/lib/matrix-synapse" ];
      repository = "sftp:restic@despondos.nao.sh:/etheria/backup/grondahl/synapse";
      initialize = true;
      pruneOpts = [ "--keep-daily 7" "--keep-weekly 5" "--keep-monthly 12" "--keep-yearly 75" ];
      timerConfig = { "OnCalendar" = "03:45"; };
      extraOptions = [ "sftp.command='ssh restic@despondos.nao.sh -i ${config.secrets.files.ssh_key.file} -s sftp'" ];
      passwordFile = builtins.toString config.secrets.files.restic_pass.file;
      user = "matrix-synapse";
    };
  };
}

