let
  sources = import ../config/sources;
in import "${sources.nixus}" {} ({ config, ... }: {

  defaults = { name, ... }: {
    configuration = { lib, ... }: {
      networking.hostName = lib.mkDefault name;
    };

    # use our nixpkgs from niv
    nixpkgs = sources.nixpkgs;
  };

  nodes = {
    wind = { lib, config, ... }: {
      host = "emelie@graven.dev";
      configuration = ../config/hosts/wind/configuration.nix;
      switchTimeout = 300;
      successTimeout = 300;
      ignoreFailingSystemdUnits = true;
    };
    grondahl = { lib, config, ... }: {
      host = "emelie@anarkafem.dev";
      configuration = ../config/hosts/grondahl/configuration.nix;
      successTimeout = 300;
      switchTimeout = 300;
      ignoreFailingSystemdUnits = true;
    };
    rudiger = { lib, config, ... }: {
      host = "emelie@cloud.graven.dev";
      configuration = ../config/hosts/rudiger/configuration.nix;
      switchTimeout = 300;
      successTimeout = 300;
      ignoreFailingSystemdUnits = true;
    };
  };
})

